# __gnu_parallel::LoserTreePointerBase< T, Comparator > Class Template Reference

Base class of Loser Tree implementation using pointers. More...

Inheritance diagram for __gnu_parallel::LoserTreePointerBase< T, Comparator >:

List of all members.

## Classes

- struct Loser
    Internal representation of LoserTree elements. More...

## Public Member Functions

- int get_min_source ()
- void insert_start (const T &key, int source, bool sup)
- LoserTreePointerBase (unsigned int _k, Comparator _comp=std::less< T >())

## Protected Attributes

- Comparator comp
- unsigned int ik
- unsigned int k
- Loser * losers
- unsigned int offset

## Detailed Description

### template<typename T, typename Comparator>
class __gnu_parallel::LoserTreePointerBase< T, Comparator >

Base class of Loser Tree implementation using pointers.

Definition at line 343 of file losertree.h.

The documentation for this class was generated from the following file:

- losertree.h